package com.fdage.dao.base;

import com.fdage.pojo.TbCollection;

public interface TbCollectionMapper {
    int deleteByPrimaryKey(Long id);

    int insert(TbCollection record);

    int insertSelective(TbCollection record);

    TbCollection selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(TbCollection record);

//    int updateByPrimaryKeyWithBLOBs(TbCollection record);

    int updateByPrimaryKey(TbCollection record);

    void addVisit(Long id);

    Long countVisit();
}